AstroAsk Docs
API referenceMuhurtaV1MuhurtaPanel

POST /v1/muhurta/panel

The complete muhurta panel for a moment: sunrise/sunset, current hora and choghadiya, Rahu/Gulika/Yamaganda windows and Abhijit Muhurta.

POST
/v1/muhurta/panel

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/muhurta/panel" \  -H "Content-Type: application/json" \  -d '{    "date": "1990-01-15T10:30:00",    "lat": 28.6139,    "lng": 77.209  }'
{  "success": true,  "data": {    "sunrise": "1990-01-15T01:45:07.000Z",    "sunset": "1990-01-15T12:16:01.000Z",    "tomorrowSunrise": "1990-01-16T01:45:00.000Z",    "currentHora": {      "planet": 2,      "planetName": "Mars",      "startTime": "1990-01-15T04:22:50.500Z",      "endTime": "1990-01-15T05:15:25.000Z",      "isAuspicious": false    },    "currentChoghadiya": {      "name": "Shubh",      "startTime": "1990-01-15T04:22:50.500Z",      "endTime": "1990-01-15T05:41:42.250Z",      "isAuspicious": true    },    "exactRahuKala": {      "startTime": "1990-01-15T03:03:58.750Z",      "endTime": "1990-01-15T04:22:50.500Z"    },    "exactYamaGandam": {      "startTime": "1990-01-15T05:41:42.250Z",      "endTime": "1990-01-15T07:00:34.000Z"    },    "exactGulikaKala": {      "startTime": "1990-01-15T08:19:25.750Z",      "endTime": "1990-01-15T09:38:17.500Z"    },    "abhijitMuhurta": {      "startTime": "1990-01-15T06:39:32.200Z",      "endTime": "1990-01-15T07:21:35.800Z"    },    "isCurrentlyRahuKala": false  }}